## com.saxonica.stream
Class InvertedExpression

    java.lang.Object
      com.saxonica.stream.InvertedExpression

    public class InvertedExpression

extends Object

This class represents an expression that has been "inverted" (in the Jackson sense) so that its execution is push-driven, that is, driven by events from the streamed document. The route taken by these events through the expressions in the expression tree is the "streaming route". Currently this class is simply a wrapper around the `StreamingRoute` object that represents the path through the expression tree containing expressions that are evaluated in push mode, that is, those that perform downward navigation in the streamed document input.

Constructor Summary
`InvertedExpression(Expression expression, StreamingRoute streamingRoute)`

Method Summary
`StreamingRoute` `getStreamingRoute()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvertedExpression

    public InvertedExpression(Expression expression,
                              StreamingRoute streamingRoute)

Method Detail

### getStreamingRoute

    public StreamingRoute getStreamingRoute()

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.